<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:sec="http://www.thymeleaf.org/extras/spring-security" layout:decorate="~{template.html}">
<head>
<title>SHIP Clip</title>
</head>
<body>
	<main layout:fragment="content">
		<div class="container">
			<form th:action="@{/admin/translation/save}" method="post" th:object="${bean}">
				<div class="row g-2">
					<div class="col-sm-3" th:if="*{pk}">ID</div>
					<div class="col-sm-9" th:if="*{pk}">
						<input type="text" class="form-control" th:field="*{pk}" readonly="readonly" />
					</div>
					<div class="col-sm-3">LANGKEY</div>
					<div class="col-sm-9">
						<input type="text" class="form-control" th:field="*{langkey}" />
					</div>
					<div class="col-sm-3">LOCALECODE</div>
					<div class="col-sm-9">
						<select th:field="*{localecode}" class="form-select">
							<option th:each="l : ${locales}" th:value="${l}" th:text="#{'locale.' + ${#strings.replace(l.toString(), '_', '')}}"></option>
						</select>
					</div>
					<div class="col-sm-3">VALUE</div>
					<div class="col-sm-9">
						<input type="text" class="form-control" th:field="*{value}" />
					</div>
					<div class="col-sm-3">&nbsp;</div>
					<div class="col-sm-9">
						<input type="submit" class="btn btn-outline-primary" th:value="#{button.ok}" />
						&nbsp;
						<a th:href="@{/admin/translationlist}" class="btn btn-outline-secondary">
							<span th:text="#{button.cancel}"></span>
						</a>
					</div>
				</div>
			</form>
		</div>
	</main>
</body>
</html>